package com.tjise.asked.http;

import com.tjise.asked.http.response.GetAllQueByPaperIdResponse;
import com.tjise.asked.http.response.PaTpBaseSaveResponse;
import com.tjise.asked.http.response.QuestionResponse;
import com.tjise.asked.http.response.SavePaperResultResponse;

import java.util.List;

import io.reactivex.rxjava3.core.Observable;
import okhttp3.RequestBody;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.Query;

public interface  ApiService {

    @GET("/prod-api/projectassess/PaTestPaper/getAllQueByPaperId")
    Observable<BaseBean<List<GetAllQueByPaperIdResponse>>> getAllQueByPaperId(@Query("id") Integer paramInteger);

    @GET("/prod-api/projectassess/PaTestPaper/getBeforePaperQueInfo")
    Observable<BaseBean<QuestionResponse>> getBeforePaperQueInfo(@Query("paperId") Integer paramInteger1, @Query("id") Integer paramInteger2, @Query("baseId") Integer paramInteger3, @Query("queId") Integer paramInteger4);

    @GET("/prod-api/projectassess/PaTestPaper/getNextPaperQueInfo")
    Observable<BaseBean<QuestionResponse>> getNextPaperQueInfo(@Query("paperId") Integer paramInteger1, @Query("id") Integer paramInteger2, @Query("baseId") Integer paramInteger3, @Query("queId") Integer paramInteger4);

    @GET("/prod-api/projectassess/PaTestPaper/getPaperQueInfoById")
    Observable<BaseBean<QuestionResponse>> getPaperQueInfoById(@Query("baseId") Integer paramInteger1, @Query("queId") Integer paramInteger2);

    @POST("/prod-api/projectassess/PaTpBase/save")
    Observable<BaseBean<PaTpBaseSaveResponse>> paTpBaseSave(@Body RequestBody paramRequestBody);

    @POST("/prod-api/projectassess/PaTpBase/savePaperResult")
    Observable<BaseBean<SavePaperResultResponse>> savePaperResult(@Body RequestBody paramRequestBody);
}
